TULISAN - Feature #3467

[CRM] Pemilihan Produk with Variant (4 layer)
03/04/2025 09:59 AM - haykal haykal

Status: Closed Start date: 03/04/2025
Priority: Urgent Due date: 03/07/2025
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 4.00 hours
Description

Dear Shofwan,

Seperti yang sudah didiskusikan. Jadi untuk tampilan Product Catalog di CRM tetap seperti sekarang ini, namun nanti user bisa
memilih variannya. Namun beda varian nanti akan tetap beda MateriallD di dbnya dan di Material Master Datanya (meskipun di
tampilan CRM Product Catalog tetap 1)

Field-field yang telah ditambahkan: Product Name, Edition (Edition List), Size, Color

Material-material yang sudah saya tambahkan data variannya: Small Kring Sleeve (00000010 & 00000017)

Web: https://tulisan-ecommerce-dev.minovais.com/ECommerce_Login.html

Port: https://tulisan-dev.minovais.com/
DB: MinovaES_Tulisan_Dev (89)

Terimakasih.

History

#1 - 03/04/2025 10:13 AM - haykal haykal
- File Error Ext. Ajax Request Failure Material Master Data.png added
Note: Error Ext. Ajax Request Failure ketika mengesave Material Master Data

Wan, tadi 'kan saya mau coba mengubah data Siesta Tote (00000002) di Material Master Data di Ul. Tapi ketika saya coba mengesave muncul Error
Ajax Request Failure seperti di foto yang saya attach.

Tolong bantu diperbaiki ya.
Menu Path: Logistic & Service > Master Data > Material Master Data

Port: https://tulisan-dev.minovais.com/
DB: MinovaES_Tulisan_Dev (89)

#2 - 03/05/2025 10:22 AM - Kezia Pawitra Yulianti
- Due date set to 03/07/2025
- Status changed from New to Assigned

- Priority changed from Normal to Urgent

#3 - 03/06/2025 11:58 AM - shofwan shiddiq

- File clipboard-202503061156-dkhmq.png added

- File clipboard-202503061157-1wkoc.png added

- File clipboard-202503061157-xwtcr.png added

- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal

Dear Haykal,

1. Untuk ajax error karena deskiprsi nya kepanjangan, seperti nya tidak perlu di tambahkan deskripsi di item
2. Untuk pemilihan layer edition, size, dan color sudah bisa saat masuk ke page item detail
https://tulisan-ecommerce-dev.minovais.com/ECommerce_Login.html
https://tulisan-dev.minovais.com/
https://tulisan-dev.minovais.com/

Siesta Tote

(1 + Rp. 600,000,-
d siesta tote description
Edition
Size
m AOQS0 Al30
Color
Smokey Night Red Letter
Orange Brick MNero Indigo
Smokey Ash Smokey Plum

Masukan Keranjang
ltem Added

Siesta Tote has been added to
basket
Edition 000!
Size Small

Color Crange Brick

3. Di keranjang, akan menampilkan item dan penjelasan edition, size, dan warna nya
Total Price
Rp. 1,450,000,

Checkout

#4 - 03/06/2025 03:23 PM - haykal haykal
- File History Pembelian CRM Tulisan.png added
- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to shofwan shiddig
Wan, kalo boleh yg di bagian History tlg dikasih informasi Edition, Size, sm Color juga ya...
Terimakasih.

#5 - 03/07/2025 09:16 AM - haykal haykal
- File Puisi Tote dan Siesta Tote (00000001 & 00000010).png added

Wan, tadi 'kan gw nyoba transaksi CRM milih Puisi Tote Edition List: 2410 Size: All dan Color: Nero Indigo (MateriallD: 00000001) dan Siesta Tote
Edition List: 0001 Size: A130 dan Color: Smokey Night (MateriallD: 00000010).

Tapi di dokumen Sales Order yang tergenerate barang-barang yang muncul adalah MateriallD 00000001 & 00000003. Padahal harusnya adalah
MateriallD 00000001 & 00000010

Tolong bantu dicek dan diperbaiki ya.

DocNo Sales Order: 00000194
Terimakasih.

#6 - 03/07/2025 03:25 PM - shofwan shiddiq
- Status changed from Revise to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal

Dear Haykal, sudah di betulkan yah. silahkan di test kembali.

#7 - 03/10/2025 02:14 PM - haykal haykal
- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to shofwan shiddiq
Yang notes #5 udh ok Wan, MateriallDnya sudah sesuai.
Paling yang belom yg Notes #4 ya, yg bagian History.

#8 - 03/10/2025 02:15 PM - haykal haykal

Dan yang di pop up Order Submitted informasi DocNo Sales Order saat ini tidak muncul.
#9 - 03/10/2025 02:19 PM - haykal haykal
Sama yang fitur Download Struk 'kan kalo gaksalah udh pernah lu buat. ltu ada dimana ya?

Kalau saran Kak Ali sih yg untk Download Struk itu adanya setelah Customer checkout. Jadi mungkin di pop up Order Submitted itu sebaiknya ada
button untuk Download Struk.

Atau mungkin kalo lu ada ide lain nempatinnya dimana juga boleh, yg penting download struk itu kondisinya ketika transaksinya sudah final.
Terimakasih.

#10 - 03/12/2025 03:01 PM - shofwan shiddiq

- File clipboard-202503121500-dbcyp.png added

- File clipboard-202503121500-lokec.png added

- File clipboard-202503121501-npidd.png added

- Status changed from Revise to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal

Fitur download struk ada di tab history dan draft ya

History = Order yang sudah submit
Draft = Order yang draft
Loilriccrer Pembayaran Berhasil

Doc No 00000236
Date: 12 Maret 2025
Deliver to: Kevin De Bruyne
Batch ID: B-25031201

Total Produk: Rp 40.000.000,00
i "
[ Struk J Detail |
L )

Laeloscrrr> Pembayaran Berhasil

Doc No 00000223
Date: 11 Maret 2025
Deliver to: Daisy Edgar
Jones

Batch ID: B=-25031101

Total Produk: Rp 80.000.000,00
’ \
[ Struk J Detail |
L ]

o T AP Pembayaran Berhasil
1
Tue
Mar

Muhamad Ripaldi

Total Price

Sales ID shofwan

Total Price

Sales ID shofwan

Total Price

Sales ID

Total Price

Sales ID minovais

Struk nya seperti ini
Cleeltdeered

ty Walk, GF #24,

ID Transaksi:

Sales NHame:

Date Time: 4

QTY ITEM HAME FRICE

1.00 Puisi Tote Ep 500.000
SUBTOTAL Bp S00.000
DISCOUNT Rp. 0,-
ADDITIONAL FEE Rp. 0,-
TOTAL Rp 500.000
TUNAI Fp. 0,-
NON TUNAT Rp 500.000
CHANGE Rp. 0,-

Terima kasih atas kunjungan anda

#11 - 04/07/2025 02:04 PM - haykal haykal
- Status changed from QA Test to Closed
